2021-09-22 12:27 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005062GalaxyForce2[All Projects] Generalpublic2021-03-15 21:56
ReporterAlloran 
Assigned ToCFOUProject InfoGalaxy Force 2 (Activision/Dementia)
http://www.whdload.de/games/GalaxyForce2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0005062: Graphical issue on the main game session.
DescriptionHi, i have tried "galaxy force whd version" and i have found a strange bug inside the energy time/counter. It take the shield color status (when the shield is broken....the counter is black...... and with a black background it's unreadable)
The adf image version is ok, no problem it works fine. (color status is always fixed and dont change!!! so it is always readable in every moment).
I have seen this problem using amiberry and lr-puae emulator under raspberry pi 4. (for me is not a emulation problem, but something inside the whd).
For the emulation, i have used the standard amiga 600 and 1200 settings.

Version tested: "GalaxyForce2_v1.3_0485"

Thank for all work done in this project!!!
Steps To ReproduceSimply play the game and watch the energy counter.....it must be not change his color
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.0
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.6
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0009726

CFOU (developer)

Last edited: 2021-03-15 19:57

View 4 revisions

Hi,
Can you test with old WHDLOAD's patch to compare (attached)?


edited:
not needed (bug present with v1.1 oon winuae too)

note ~0009727

CFOU (developer)

Hi again,

Can you test also last patch v1.2 with custom2=1 tooltype to remove blitter waits insertions?

indeed, It seems working fine with custom2=1.

Can you confirme to me?

if it's ok, i will investigate (problem already present in previous Bored Seal's patch it seems.)

note ~0009729

retrogamer (reporter)

I've attatched the game manual for Galaxy Force 2 please can you include it in the install package?

note ~0009730

CFOU (developer)

i will add manual and support to save Highscore on HDD too ;) (code done i am testing)

note ~0009731

CFOU (developer)

fixed with v1.4 (bug since v1.1 with first blitter wait insetions

+ manual
+ save HS
+Notes

-Issue History
Date Modified Username Field Change
2021-03-14 18:27 Alloran New Issue
2021-03-14 21:07 StingRay Assigned To => CFOU
2021-03-14 21:07 StingRay Status new => assigned
2021-03-15 19:50 CFOU File Added: GalaxyForce2-20060710.lha
2021-03-15 19:50 CFOU Note Added: 0009726
2021-03-15 19:50 CFOU Note Edited: 0009726 View Revisions
2021-03-15 19:50 CFOU Note Edited: 0009726 View Revisions
2021-03-15 19:56 CFOU Note Added: 0009727
2021-03-15 19:57 CFOU Note Edited: 0009726 View Revisions
2021-03-15 21:18 retrogamer File Added: Manual.zip
2021-03-15 21:20 retrogamer Note Added: 0009729
2021-03-15 21:55 CFOU Note Added: 0009730
2021-03-15 21:56 CFOU Status assigned => closed
2021-03-15 21:56 CFOU Resolution open => fixed
2021-03-15 21:56 CFOU Note Added: 0009731
+Issue History